Name:          log4cxx
Version:       0.10.0
Release:       %mkrel 3
Summary:       A port to C++ of the Apache Log4j project
Group:         System/Libraries
License:       ASL 2.0
Url:           http://logging.apache.org/log4cxx/
Source0:       ftp://apache.mirrors.tds.net/pub/apache.org/logging/log4cxx/0.10.0/apache-log4cxx-0.10.0.tar.gz
Patch0:        log4cxx-0.10.0-cstring.patch
BuildRequires: doxygen
BuildRequires: glibc-devel
BuildRequires: apr-devel
BuildRequires: apr-util-devel
BuildRequires: libdb4.8-devel
BuildRequires: libesmtp-devel
BuildRequires: libexpat-devel
BuildRequires: libext2fs-devel
BuildRequires: libgdbm-devel
BuildRequires: openldap2-devel
BuildRequires: libsasl2-devel
BuildRequires: libstdc++-devel
BuildRequires: libuuid-devel
#BuildRequires: libunixODBC-devel see https://issues.apache.org/jira/browse/LOGCXX-299

%description
Apache Log4cxx is a popular logging package written in C++. One of its distinctive
features is the notion of inheritance in loggers. Using a logger hierarchy it
is possible to control which log statements are output at arbitrary
granularity. This helps reduce the volume of logged output and minimize the
cost of logging.

%package devel
Group:         Development/C++
Summary:       Libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
A port to C++ of the Apache Log4j project.

This package contains libraries and header files need for development.

%package static
Group:         Development/C++
Summary:       Static libraries for %{name}
Requires:      %{name}-devel = %{?epoch:%epoch:}%{version}-%{release}

%description static
A port to C++ of the Apache Log4j project.

This package contains static libraries need for development.

%prep
%setup -q -n apache-log4cxx-%{version}
%patch0 -p1

%build

sed -i.libdir_syssearch -e '/sys_lib_dlsearch_path_spec/s|/usr/lib |%{_libdir} /%{_lib}|' configure
%configure2_5x \
  --with-SMTP=libesmtp
%make

%install
%makeinstall_std

mv %{buildroot}%{_datadir}/log4cxx/html .

%files
%defattr(-,root,root,-)
%{_libdir}/liblog4cxx.so.*
%doc KEYS LICENSE NOTICE

%files devel
%dir %{_includedir}/log4cxx
%{_includedir}/log4cxx/*.h
%{_includedir}/log4cxx/config
%{_includedir}/log4cxx/db
%{_includedir}/log4cxx/filter
%{_includedir}/log4cxx/helpers
%{_includedir}/log4cxx/net
%{_includedir}/log4cxx/nt
%{_includedir}/log4cxx/pattern
%{_includedir}/log4cxx/private
%{_includedir}/log4cxx/rolling
%{_includedir}/log4cxx/spi
%{_includedir}/log4cxx/varia
%{_includedir}/log4cxx/xml
%{_libdir}/liblog4cxx.so
%{_libdir}/pkgconfig/liblog4cxx.pc
%doc html/

%files static
%{_libdir}/liblog4cxx.*a



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.10.0-3.mga3
+ Revision: 358922
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Apr 02 2012 pterjan <pterjan> 0.10.0-2.mga2
+ Revision: 227801
- Rebuild after libexpat.la removal

* Sat Nov 05 2011 gil <gil> 0.10.0-1.mga2
+ Revision: 163932
- imported package log4cxx

